# Retrieve account balance

Use **getPendingPayout** to retrieve a detailed **estimation** of the amount that 2Checkout owes you, based on the sales from your current payout period.

The amounts returned by this API method are **approximations**, and may not represent the final amount that 2Checkout will pay you at the end of the billing period.

## Request parameters

| Parameters                      | Type / Description                                                                                                                                                                                                                               |
| ------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `inputParameters`               | <p><strong>Object (optional)</strong></p><p>Details below.</p>                                                                                                                                                                                   |
| `inputParameters.Currency`      | <p><strong>String (optional)</strong></p><p>Use this parameter to show the balance only for a single order currency. Example: 'USD'. If not sent, or sent as NULL, 2Checkout sends the balance for all order currencies.</p>                     |
| `inputParameters.TotalCurrency` | <p><strong>String (optional)</strong></p><p>Use this parameter to show the total account balance in the preferred currency. Example: 'EUR'. If not sent, or sent as NULL, 2Checkout sends the total balance in the default account currency.</p> |

### Request sample

```php
<?php

require('PATH_TO_AUTH');

$inputParameters = new StdClass();
$inputParameters->Currency = "USD";
$inputParameters->TotalCurrency = "EUR";

try {
    $pendingPayout = $client->getPendingPayout($sessionID, $inputParameters);
}
catch (SoapFault $e) {
    echo "pendingPayout: " . $e->getMessage();
    exit;
}
var_dump("pendingPayout", $pendingPayout);
```

## Response parameters

### Pending Payout Object

| Parameters                                         | Type / Description                                                                                                                                                        |
| -------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Currencies`                                       | <p><strong>Array of objects</strong></p><p>Details below</p>                                                                                                              |
| `Currencies.CurrencyObject`                        | <p><strong>Object</strong></p><p>Details below</p>                                                                                                                        |
| `Currencies.CurrencyObject.Currency`               | <p><strong>String</strong><br>Order currency.</p>                                                                                                                         |
| `Currencies.CurrencyObject.OrdersTotal`            | <p><strong>Object</strong></p><p>Total order amounts, divided per order source.</p>                                                                                       |
| `Currencies.CurrencyObject.OrdersTotal.estore`     | <p><strong>Float</strong><br>eStore order amounts from the current payout cycle.</p>                                                                                      |
| `Currencies.CurrencyObject.OrdersTotal.affiliates` | <p><strong>Float</strong><br>Amounts from your affiliates orders, during the current payout cycle.</p>                                                                    |
| `Currencies.CurrencyObject.OrdersTotal.partner`    | <p><strong>Float</strong><br>Amounts from your partner sales, during the current payout cycle.</p>                                                                        |
| `Currencies.CurrencyObject.OrdersTotal.total`      | <p><strong>Float</strong><br>Total sales amount made in the order currency from this object, during the current payout cycle.</p>                                         |
| `Currencies.RetainedToDisputesBalance`             | <p><strong>Float</strong><br>Amounts retained to your dispute balance reports, in the object order currency.</p>                                                          |
| `Currencies.ReleasedFromDisputesBalance`           | <p><strong>Float</strong><br>Amounts released from your dispute balance reports, in the object order currency.</p>                                                        |
| `Currencies.RetainedToRollingReserveBalance`       | <p><strong>Float</strong><br>Amounts retained to your rolling reserve, in the object order currency.</p>                                                                  |
| `Currencies.ReleasedFromRollingReserveBalance`     | <p><strong>Float</strong><br>Amounts retained to your rolling reserve, in the object order currency.</p>                                                                  |
| `Currencies.ChargebackFees`                        | <p><strong>Float</strong><br>Chargeback fees retained in the object order currency.</p>                                                                                   |
| `Currencies.ProcessingFees`                        | <p><strong>Float</strong><br>Processing fees retained by 2Checkout in the object order currency.</p>                                                                      |
| `Currencies.AffiliatesCommission`                  | <p><strong>Float</strong><br>Affiliate commissions paid by 2Checkout in the object order currency.</p>                                                                    |
| `Currencies.TaxCollected`                          | <p><strong>Float</strong><br>Tax collected by 2Checkout in the object order currency.</p>                                                                                 |
| `Currencies.EstimatedTotalRevenue`                 | <p><strong>Float</strong><br>The estimated total revenue for the object order currency.</p>                                                                               |
| `Total`                                            | <p><strong>Object</strong></p><p>Total account balance amount</p>                                                                                                         |
| `Total.Currency`                                   | <p><strong>String</strong><br>Currency in which the total account balance is expressed. If not sent during the API call, 2Checkout uses the account default currency.</p> |
| `Total.OrdersTotal`                                | <p><strong>Object</strong></p><p>Total order amounts, divided per order source.</p>                                                                                       |
| `Total.OrdersTotal.estore`                         | <p><strong>Float</strong><br>Amounts from total eStore orders during the currency payout cycle.</p>                                                                       |
| `Total.OrdersTotal.affiliates`                     | <p><strong>Float</strong><br>Amounts from total affiliates orders during the currency payout cycle.</p>                                                                   |
| `Total.OrdersTotal.partner`                        | <p><strong>Float</strong><br>Amounts from total partner orders during the currency payout cycle.</p>                                                                      |
| `Total.OrdersTotal.total`                          | <p><strong>Float</strong><br>Total sales amount during the currency payout cycle.</p>                                                                                     |
| `Total.RetainedToDisputesBalance`                  | <p><strong>Float</strong><br>Total amounts retained to your dispute balance during the current payout cycle.</p>                                                          |
| `Total.RetainedFromDisputesBalance`                | <p><strong>Float</strong><br>Total amounts released from your dispute balance during the current payout cycle.</p>                                                        |
| `Total.RetainedToRollingReserveBalance`            | <p><strong>Float</strong><br>Total amounts retained to your rolling reserve during the current payout cycle.</p>                                                          |
| `Total.RetainedFromRollingReserveBalance`          | <p><strong>Float</strong><br>Total amounts released from your rolling reserve during the current payout cycle.</p>                                                        |
| `Total.ChargebackFees`                             | <p><strong>Float</strong><br>Total chargeback fees retained from your account during the currency payout cycle.</p>                                                       |
| `Total.ProcessingFees`                             | <p><strong>Float</strong><br>Total processing fees retained by 2Checkout during the current payout cycle.</p>                                                             |
| `Total.AffiliatesCommission`                       | <p><strong>Float</strong><br>Total affiliates commissions paid by 2Checkout during the current payout cycle.</p>                                                          |
| `Total.TaxCollected`                               | <p><strong>Float</strong><br>Total tax amount collected by 2Checkout during the current payout cycle.</p>                                                                 |
| `Total.EstimatedTotalRevenue`                      | <p><strong>Float</strong><br>Total estimated revenue for the current payout cycle.</p>                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/account-payouts/retrieve-account-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
